#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 monad-control
version:              1.0.3.1
visibility:           public
id:                   monad-control-1.0.3.1-5el1pWOnFZJ8iHQ5y2z7g
key:                  monad-control-1.0.3.1-5el1pWOnFZJ8iHQ5y2z7g
license:              BSD-3-Clause
copyright:            (c) 2011 Bas van Dijk, Anders Kaseorg
maintainer:
    Oleg Grenrus <oleg.grenrus@iki.fi>, Bas van Dijk <v.dijk.bas@gmail.com>

author:               Bas van Dijk, Anders Kaseorg
homepage:             https://github.com/basvandijk/monad-control
synopsis:
    Lift control operations, like exception catching, through monad transformers

description:
    This package defines the type class @MonadBaseControl@, a subset of
    @MonadBase@ into which generic control operations such as @catch@ can be
    lifted from @IO@ or any other base monad. Instances are based on monad
    transformers in @MonadTransControl@, which includes all standard monad
    transformers in the @transformers@ library except @ContT@.

    See the <http://hackage.haskell.org/package/lifted-base lifted-base>
    package which uses @monad-control@ to lift @IO@
    operations from the @base@ library (like @catch@ or @bracket@) into any monad
    that is an instance of @MonadBase@ or @MonadBaseControl@.

    Note that this package is a rewrite of Anders Kaseorg'\''s @monad-peel@
    library. The main difference is that this package provides CPS style operators
    and exploits the @RankNTypes@ and @TypeFamilies@ language extensions to
    simplify and speedup most definitions.

category:             Control
abi:                  8a76b10bf5f692866d9e9bf024ff73cb
exposed:              True
exposed-modules:      Control.Monad.Trans.Control
import-dirs:          /usr/lib/ghc-9.8.2/site-local/monad-control-1.0.3.1
library-dirs:         /usr/lib/ghc-9.8.2/site-local/monad-control-1.0.3.1
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/monad-control-1.0.3.1
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/monad-control-1.0.3.1
hs-libraries:         HSmonad-control-1.0.3.1-5el1pWOnFZJ8iHQ5y2z7g
depends:
    base-4.19.1.0-inplace stm-2.5.2.1-inplace
    transformers-0.6.1.0-inplace
    transformers-base-0.4.6-2gzdHYYl44UFVXK1Uhqqew
    transformers-compat-0.7.2-11D715JMFvOAvxTx89MI7D

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/monad-control-1.0.3.1/html/monad-control.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/monad-control-1.0.3.1/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

